Bug 962813 - Review Request: funguloids - Space-Flying-Mushroom-Picking-Simulator game
Review Request: funguloids - Space-Flying-Mushroom-Picking-Simulator game
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Wolfgang Ulbrich
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-05-14 09:28 EDT by Hans de Goede
Modified: 2013-06-16 01:32 EDT (History)
3 users (show)

See Also:
Fixed In Version: funguloids-1.06-1.fc18
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-06-01 22:59:43 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
fedora: fedora‑review+
limburgher: fedora‑cvs+


Attachments (Terms of Use)

  None (edit)
Description Hans de Goede 2013-05-14 09:28:02 EDT
Spec URL: http://people.fedoraproject.org/~jwrdegoede/funguloids.spec
SRPM URL: http://people.fedoraproject.org/~jwrdegoede/funguloids-1.06-1.fc19.src.rpm
Description:
Never before has collecting mushrooms been this mildly entertaining. At least
not in outer space. It's more of a lifestyle than a game, really. Now with
graphics and sound, too!

Seriously though, we like to think the game as a
space-flying-mushroom-picking-simulator. Well no, "Those Funny Funguloids!" is
actually a nice little piece of entertainment. You collect mushrooms, bring the
back to your home base and profit! That's the basic idea in a nutshell. It has
smooth, appealing 3d graphics and nice atmospheric sound effects. Go ahead and
try it out - it has sounds too!   

Fedora Account System Username: jwrdegoede

rpmlint:
[hans@shalem devel]$ rpmlint x86_64/* *.src.rpm
funguloids.src: W: strange-permission mpak.py 0755L
3 packages and 0 specfiles checked; 0 errors, 1 warnings.

The warning can be ignored, the script needs to be executable as its run during build
Comment 1 Wolfgang Ulbrich 2013-05-18 15:17:33 EDT
Hi Hans,
you didn't assign a review from me, anyway i start working on yours.
I general your package looks good, but i've one questions.

Issues:
=======
- update-desktop-database is invoked when required
  Note: desktop file(s) in funguloids
  See: http://fedoraproject.org/wiki/Packaging:ScriptletSnippets#Icon_Cache

faults positiv in every current review at the moment.

===== EXTRA items =====

Generic:
[!]: Large data in /usr/share should live in a noarch subpackage if package is
     arched.
     Note: Arch-ed rpms have a total of 20664320 bytes in /usr/share 20664320
     funguloids-1.06-1.fc20.x86_64.rpm

I'm not shure if this is fixable, because your package doesn't use /{libdir} , but it isn't noarch.
So i'm thinking, /usr/share/funguloids (20.3 MB) contains libaries for the package.
Or did the package work if you move this directory to a noarch subpackage?
Comment 2 Hans de Goede 2013-05-19 05:43:00 EDT
Hi,

(In reply to comment #1)
> Hi Hans,
> you didn't assign a review from me

Yes, I didn't get around to doing one yet, will do so ASAP. any particular review you would prefer me to take?

> anyway i start working on yours.

Thanks!

> I general your package looks good, but i've one questions.
> 
> Issues:
> =======
> - update-desktop-database is invoked when required
>   Note: desktop file(s) in funguloids
>   See: http://fedoraproject.org/wiki/Packaging:ScriptletSnippets#Icon_Cache
> 
> faults positiv in every current review at the moment.

Calling update-desktop-database is only needed when desktop files include mime-types, which most don't. If there is no MimeType=... in the .desktop file update-desktop-file is not needed.

> 
> ===== EXTRA items =====
> 
> Generic:
> [!]: Large data in /usr/share should live in a noarch subpackage if package
> is
>      arched.
>      Note: Arch-ed rpms have a total of 20664320 bytes in /usr/share 20664320
>      funguloids-1.06-1.fc20.x86_64.rpm
> 
> I'm not shure if this is fixable, because your package doesn't use /{libdir}
> , but it isn't noarch.
> So i'm thinking, /usr/share/funguloids (20.3 MB) contains libaries for the
> package.
> Or did the package work if you move this directory to a noarch subpackage?

Moving the data to a noarhx sub-package is certainly doable, but not really necessary. 20 MB is not really all that large large is say 100_ MB, otherwise we would need to split tons and tons of packages. Usually in cases where we do a split-off -data package, upstream also has the data in a separate tarbal, and then splitting makes a lot of sense.
Comment 3 Wolfgang Ulbrich 2013-05-19 08:48:10 EDT
(In reply to comment #2)
<snip>
> > 
> > ===== EXTRA items =====
> > 
> > Generic:
> > [!]: Large data in /usr/share should live in a noarch subpackage if package
> > is
> >      arched.
> >      Note: Arch-ed rpms have a total of 20664320 bytes in /usr/share 20664320
> >      funguloids-1.06-1.fc20.x86_64.rpm
> > 
> > I'm not shure if this is fixable, because your package doesn't use /{libdir}
> > , but it isn't noarch.
> > So i'm thinking, /usr/share/funguloids (20.3 MB) contains libaries for the
> > package.
> > Or did the package work if you move this directory to a noarch subpackage?
> 
> Moving the data to a noarhx sub-package is certainly doable, but not really
> necessary. 20 MB is not really all that large large is say 100_ MB,
> otherwise we would need to split tons and tons of packages. Usually in cases
> where we do a split-off -data package, upstream also has the data in a
> separate tarbal, and then splitting makes a lot of sense.
I agree, detailed review results comming soon.
Comment 4 Wolfgang Ulbrich 2013-05-19 09:01:35 EDT
offtopic on
(In reply to comment #2)
> Hi,
> 
> (In reply to comment #1)
> > Hi Hans,
> > you didn't assign a review from me
> 
> Yes, I didn't get around to doing one yet, will do so ASAP. any particular
> review you would prefer me to take?
> 
I prefer caja-dropbox at rpmfusion, but i don't wanna post the link here.
But at the moment i'm a little bit confused about the licensing situation.
And i don't know if it is possible to provide the package at there.
There are some comments about this.
If you think it is possible pls catch this review.
Otherwise catch one of them.
https://bugzilla.redhat.com/show_bug.cgi?id=924377
https://bugzilla.redhat.com/show_bug.cgi?id=924279

offtopic off
Comment 5 Wolfgang Ulbrich 2013-05-19 11:18:40 EDT
APPROVED!

Package Review
==============

Legend:
[x] = Pass, [!] = Fail, [-] = Not applicable, [?] = Not evaluated
[ ] = Manual review needed


Issues:
=======
- update-desktop-database is invoked when required
  Note: desktop file(s) in funguloids
  See: http://fedoraproject.org/wiki/Packaging:ScriptletSnippets#Icon_Cache

fault positve
The desktop file doesn't include mime-types.


===== MUST items =====

C/C++:
[x]: Package does not contain kernel modules.
[x]: Package contains no static executables.
[x]: Package does not contain any libtool archives (.la)
[x]: Rpath absent or only used for internal libs.

Generic:
[x]: Package is licensed with an open-source compatible license and meets
     other legal requirements as defined in the legal section of Packaging
     Guidelines.
[x]: %build honors applicable compiler flags or justifies otherwise.
[x]: Package contains no bundled libraries without FPC exception.
[x]: Changelog in prescribed format.
[x]: Sources contain only permissible code or content.
[-]: Development files must be in a -devel package
[x]: Package requires other packages for directories it uses.
[x]: Package uses nothing in %doc for runtime.
[x]: Package is not known to require ExcludeArch.
[x]: Package complies to the Packaging Guidelines
[x]: License field in the package spec file matches the actual license.
     Note: Checking patched sources after %prep for licenses. Licenses found:
     "Unknown or generated", "zlib/libpng". 3 files have unknown license.
     Detailed output of licensecheck in
     /home/rave/962813-funguloids/licensecheck.txt
[x]: Package consistently uses macro is (instead of hard-coded directory
     names).
[x]: Package is named according to the Package Naming Guidelines.
[x]: Package does not generate any conflict.
[x]: Package obeys FHS, except libexecdir and /usr/target.
[-]: If the package is a rename of another package, proper Obsoletes and
     Provides are present.
[x]: Package must own all directories that it creates.
[x]: Package does not own files or directories owned by other packages.
[x]: Requires correct, justified where necessary.
[x]: Spec file is legible and written in American English.
[-]: Package contains systemd file(s) if in need.
[x]: gtk-update-icon-cache is invoked when required
     Note: icons in funguloids
[x]: Useful -debuginfo package or justification otherwise.
[x]: Large documentation must go in a -doc subpackage.
     Note: Documentation size is 245760 bytes in 14 files.
[x]: All build dependencies are listed in BuildRequires, except for any that
     are listed in the exceptions section of Packaging Guidelines.
[x]: Package does not run rm -rf %{buildroot} (or $RPM_BUILD_ROOT) at the
     beginning of %install.
[x]: Each %files section contains %defattr if rpm < 4.4
[x]: Macros in Summary, %description expandable at SRPM build time.
[x]: Package contains desktop file if it is a GUI application.
[x]: Package installs a %{name}.desktop using desktop-file-install if there is
     such a file.
[x]: Package does not contain duplicates in %files.
[x]: Permissions on files are set properly.
[x]: Fully versioned dependency in subpackages, if present.
[x]: If (and only if) the source package includes the text of the license(s)
     in its own file, then that file, containing the text of the license(s)
     for the package is included in %doc.
[x]: Package use %makeinstall only when make install' ' DESTDIR=... doesn't
     work.
[x]: Package is named using only allowed ASCII characters.
[x]: Package do not use a name that already exist
[x]: Package is not relocatable.
[x]: Sources used to build the package match the upstream source, as provided
     in the spec URL.
[x]: Spec file name must match the spec package %{name}, in the format
     %{name}.spec.
[x]: File names are valid UTF-8.
[x]: Packages must not store files under /srv, /opt or /usr/local
[x]: Package successfully compiles and builds into binary rpms on at least one
     supported primary architecture.
[x]: Package installs properly.
[x]: Rpmlint is run on all rpms the build produces.
     Note: No rpmlint messages.

===== SHOULD items =====

Generic:
[x]: If the source package does not include license text(s) as a separate file
     from upstream, the packager SHOULD query upstream to include it.
[x]: Final provides and requires are sane (see attachments).
[x]: Package functions as described.
[x]: Latest version is packaged.
[x]: Package does not include license text files separate from upstream.
[x]: Patches link to upstream bugs/comments/lists or are otherwise justified.
[ ]: Description and summary sections in the package spec file contains
     translations for supported Non-English languages, if available.
[x]: Package should compile and build into binary rpms on all supported
     architectures.
[ ]: %check is present and all tests pass.
[x]: Packages should try to preserve timestamps of original installed files.
[x]: Packager, Vendor, PreReq, Copyright tags should not be in spec file
[x]: Sources can be downloaded from URI in Source: tag
[x]: Reviewer should test that the package builds in mock.
[x]: Buildroot is not present
[x]: Package has no %clean section with rm -rf %{buildroot} (or
     $RPM_BUILD_ROOT)
[x]: Dist tag is present.
[x]: No file requires outside of /etc, /bin, /sbin, /usr/bin, /usr/sbin.
[x]: Uses parallel make.
[x]: SourceX tarball generation or download is documented.
[x]: SourceX is a working URL.
[x]: Spec use %global instead of %define.

===== EXTRA items =====

Generic:
[-]: Large data in /usr/share should live in a noarch subpackage if package is
     arched.
     Note: Arch-ed rpms have a total of 20664320 bytes in /usr/share 20664320
     funguloids-1.06-1.fc20.x86_64.rpm
[x]: Rpmlint is run on all installed packages.
     Note: No rpmlint messages.
[x]: Spec file according to URL is the same as in SRPM.


Rpmlint
-------
Checking: funguloids-1.06-1.fc20.x86_64.rpm
1 packages and 0 specfiles checked; 0 errors, 0 warnings.




Rpmlint (installed packages)
----------------------------
# rpmlint funguloids
1 packages and 0 specfiles checked; 0 errors, 0 warnings.
# echo 'rpmlint-done:'



Requires
--------
funguloids (rpmlib, GLIBC filtered):
    /bin/sh
    hicolor-icon-theme
    libOIS-1.3.0.so()(64bit)
    libOgreMain.so.1.8.1()(64bit)
    libalut.so.0()(64bit)
    libboost_system-mt.so.1.53.0()(64bit)
    libc.so.6()(64bit)
    libdl.so.2()(64bit)
    libgcc_s.so.1()(64bit)
    libgcc_s.so.1(GCC_3.0)(64bit)
    liblua-5.1.so()(64bit)
    libm.so.6()(64bit)
    libogg.so.0()(64bit)
    libopenal.so.1()(64bit)
    libpthread.so.0()(64bit)
    libstdc++.so.6()(64bit)
    libstdc++.so.6(CXXABI_1.3)(64bit)
    libvorbis.so.0()(64bit)
    libvorbisenc.so.2()(64bit)
    libvorbisfile.so.3()(64bit)
    rtld(GNU_HASH)



Provides
--------
funguloids:
    funguloids
    funguloids(x86-64)



Source checksums
----------------
http://downloads.sourceforge.net/funguloids/funguloids-linux-1.06-4.tar.bz2 :
  CHECKSUM(SHA256) this package     : e9c9074a5d2de11690484a7e8eef7de9dd7d360ea72185ea35c54976646ef5cf
  CHECKSUM(SHA256) upstream package : e9c9074a5d2de11690484a7e8eef7de9dd7d360ea72185ea35c54976646ef5cf


Generated by fedora-review 0.4.1 (b2e211f) last change: 2013-04-29
Buildroot used: fedora-rawhide-x86_64
Command line :/usr/bin/fedora-review -v -m fedora-rawhide-x86_64 -b 962813
Comment 6 Hans de Goede 2013-05-20 04:10:44 EDT
Hi,

Thank for the review!

(In reply to Wolfgang Ulbrich from comment #4)
> offtopic on
> (In reply to comment #2)
> > Hi,
> > 
> > (In reply to comment #1)
> > > Hi Hans,
> > > you didn't assign a review from me
> > 
> > Yes, I didn't get around to doing one yet, will do so ASAP. any particular
> > review you would prefer me to take?
> > 
> I prefer caja-dropbox at rpmfusion, but i don't wanna post the link here.
> But at the moment i'm a little bit confused about the licensing situation.
> And i don't know if it is possible to provide the package at there.
> There are some comments about this.
> If you think it is possible pls catch this review.

I don't mind doing rpmfusion reviews, but I would rather wait for the
licensing situation to sort itself out. Once that is sorted out drop me
a mail, and I'm sure we can do another review swap.

> Otherwise catch one of them.
> https://bugzilla.redhat.com/show_bug.cgi?id=924377

I've taken this one.

Regards,

Hans
Comment 7 Hans de Goede 2013-05-20 04:12:08 EDT
New Package SCM Request
=======================
Package Name: funguloids
Short Description: Space-Flying-Mushroom-Picking-Simulator game
Owners: jwrdegoede
Branches: f18 f19
InitialCC:
Comment 8 Gwyn Ciesla 2013-05-20 09:43:28 EDT
Git done (by process-git-requests).
Comment 9 Fedora Update System 2013-05-24 07:50:50 EDT
funguloids-1.06-1.fc19 has been submitted as an update for Fedora 19.
https://admin.fedoraproject.org/updates/funguloids-1.06-1.fc19
Comment 10 Fedora Update System 2013-05-24 07:50:59 EDT
funguloids-1.06-1.fc18 has been submitted as an update for Fedora 18.
https://admin.fedoraproject.org/updates/funguloids-1.06-1.fc18
Comment 11 Fedora Update System 2013-05-24 15:48:21 EDT
funguloids-1.06-1.fc19 has been pushed to the Fedora 19 testing repository.
Comment 12 Fedora Update System 2013-06-01 22:59:43 EDT
funguloids-1.06-1.fc19 has been pushed to the Fedora 19 stable repository.
Comment 13 Fedora Update System 2013-06-16 01:32:28 EDT
funguloids-1.06-1.fc18 has been pushed to the Fedora 18 stable repository.

Note You need to log in before you can comment on or make changes to this bug.